Repository is archived
Low commit activity in last 3 years
No release in over a year
Pronto runner for ESLint, pluggable linting utility for JavaScript and JSX
2005
2006
2007
2008
2009
2010
2011
2012
2013
2014
2015
2016
2017
2018
2019
2020
2021
2022
2023
 Dependencies

Development

>= 11.0, < 13
~> 3.4

Runtime

~> 0.11.0
 Project Readme

Pronto runner for ESLint (using eslint from npm)

Code Climate Build Status Gem Version

Pronto runner for ESlint, pluggable linting utility for JavaScript and JSX. What is Pronto?

Uses official eslint executable installed by npm in contrast to pronto-eslint.

Not maintained anymore❗: This gem is not maintained anymore and will receive no updates. @ngudbhav stepped in as a new maintainer and forked the gem (see #20).
Please use the fork https://github.com/ngudbhav/pronto-npm-eslint for a maintained version.

Prerequisites

You'll need to install eslint by yourself with npm. If eslint is in your PATH, everything will simply work, otherwise you have to provide pronto-eslint-npm your custom executable path (see below).

Configuration of ESLint

Configuring ESLint via .eslintrc and consorts and excludes via .eslintignore will work just fine with pronto-eslint-npm.

Configuration of ESLintNPM

pronto-eslint-npm can be configured by placing a .pronto_eslint_npm.yml inside the directory where pronto is run.

Following options are available:

Option Meaning Default
eslint_executable ESLint executable to call. eslint (calls eslint in PATH)
files_to_lint What files to lint. Absolute path of offending file will be matched against this Regexp. (\.js|\.es6)$
cmd_line_opts Command line options to pass to eslint when running ''

Example configuration to call custom eslint executable and only lint files ending with .my_custom_extension:

# .pronto_eslint_npm.yml
eslint_executable: '/my/custom/node/path/.bin/eslint'
files_to_lint: '\.my_custom_extension$'
cmd_line_opts: '--ext .html,.js,.es6'